torqee Developers
Api reference/Webhook deliveries

List webhook deliveries

GET
/api/v1/webhook-deliveries
AuthorizationBearer <token>

OAuth 2.1 authorization code flow with PKCE. Audience must be the connect URL.

In: header

Scope: torqee:webhooks:read

Query Parameters

cursor?string
Length1 <= length
limit?integer
Range1 <= value <= 100
endpointId?string
Length1 <= length
status?string
Value in"pending" | "retrying" | "succeeded" | "dead_letter" | "cancelled"
eventType?string
Value in"session.created" | "session.status_changed"

Response Body

curl -X GET "https://connect.torqee.app/api/v1/webhook-deliveries?cursor=string&limit=1&endpointId=string&status=pending&eventType=session.created"
fetch("https://connect.torqee.app/api/v1/webhook-deliveries?cursor=string&limit=1&endpointId=string&status=pending&eventType=session.created")
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://connect.torqee.app/api/v1/webhook-deliveries?cursor=string&limit=1&endpointId=string&status=pending&eventType=session.created"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://connect.torqee.app/api/v1/webhook-deliveries?cursor=string&limit=1&endpointId=string&status=pending&eventType=session.created"

response = requests.request("GET", url)

print(response.text)
{
  "items": [
    {
      "id": "string",
      "eventId": "string",
      "eventType": "session.created",
      "endpointId": "string",
      "endpointName": "string",
      "endpointUrl": "http://example.com",
      "kind": "event",
      "status": "pending",
      "attemptCount": 9007199254740991,
      "lastHttpStatus": 100,
      "nextAttemptAt": "2019-08-24T14:15:22Z",
      "terminalAt": "2019-08-24T14:15:22Z",
      "stopReason": "installation_unauthorized",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "nextCursor": "string"
}
{
  "error": "invalid_request"
}
{
  "error": "unauthorized"
}
{
  "error": "insufficient_scope"
}
{
  "error": "workspace_not_found"
}
{
  "error": "internal_server_error"
}
Empty